Skip to main content
POST
/
api
/
pricing
/
proposals
/
manual
Create Manual Proposal
curl --request POST \
  --url https://api.merchantops.ai/api/pricing/proposals/manual \
  --header 'Content-Type: application/json' \
  --data '
{
  "brand_key": "<string>",
  "colorway": "<string>",
  "comparison_run_id": "<string>",
  "product_key": "<string>",
  "proposed_amount": 123,
  "vendor_style_color_id": "<string>",
  "effective_from": "<string>",
  "effective_to": "<string>",
  "price_type": "map",
  "product_name": "<string>"
}
'
{
  "detail": [
    {
      "loc": [
        "<string>"
      ],
      "msg": "<string>",
      "type": "<string>",
      "ctx": {},
      "input": "<unknown>"
    }
  ]
}

Headers

authorization
string | null
X-Organization-ID
string | null

Cookies

stytch_session
string | null

Body

application/json

Request body for creating a manual price change proposal.

brand_key
string
required
colorway
string
required
comparison_run_id
string
required
product_key
string
required
proposed_amount
number
required
vendor_style_color_id
string
required
effective_from
string | null
effective_to
string | null
price_type
string
default:map
product_name
string | null

Response

Successful Response